package lgmsimulation;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

/**
 * Insert the type's description here.
 * Creation date: (11.12.2002 09:14:14)
 * @author: 
 */
public class DataMatrix extends javax.swing.JFrame 
{
	int anzPar;
	JTextField[][] matrixField;
	JTextField[] vectorField;
/**
 * DataMatrix constructor comment.
 * @param title java.lang.String
 */
public DataMatrix() {
	this(4);
}
/**
 * DataMatrix constructor comment.
 */
public DataMatrix(int size) 
{
	super ("Simson - Data Matrix");

	anzPar = size;

	JPanel pmat = new JPanel();
	pmat.setBorder(new EmptyBorder(15,15,15,15));
	pmat.setLayout(new GridLayout(anzPar+1,anzPar+1));
	matrixField = new JTextField[anzPar][anzPar];
	pmat.add(new JLabel("\\"));
	for (int j=0; j<anzPar; j++) pmat.add(new JLabel("p"+(j+1)));
	for (int i=0; i<anzPar; i++)
	{
		pmat.add(new JLabel("p"+(i+1)));
		for (int j=0; j<anzPar; j++)
		{
			if (i>=j)
			{
				if (i==j) matrixField[i][j] = new JTextField("1.0");
				else      matrixField[i][j] = new JTextField("0.0");
				pmat.add(matrixField[i][j]);
			} else pmat.add(new JLabel("*",JLabel.CENTER));
		}
	}

	JPanel pvec = new JPanel();
	pvec.setBorder(new EmptyBorder(15,15,15,15));
	pvec.setLayout(new GridLayout(anzPar,2));
	vectorField = new JTextField[anzPar];
	for (int i=0; i<anzPar; i++)
	{
		pvec.add(new JLabel("p"+(i+1)));
		vectorField[i] = new JTextField("0.0");
		pvec.add(vectorField[i]);
	}

	JPanel full = new JPanel(new BorderLayout());
	JPanel cent = new JPanel(new BorderLayout());
	cent.add(new JLabel("Matrix of Variances / Covariances: ",JLabel.CENTER), BorderLayout.NORTH);
	cent.add(pmat);
	full.add(cent, BorderLayout.CENTER);
	JPanel right = new JPanel(new BorderLayout());
	right.add(new JLabel("Vector of Means : ",JLabel.CENTER), BorderLayout.NORTH);
	right.add(pvec, BorderLayout.CENTER);
	full.add(right, BorderLayout.EAST);
	
	setContentPane(full);
	setSize(anzPar*50+150,anzPar*30+100);
	show();
}
/**
 * Insert the method's description here.
 * Creation date: (11.12.2002 10:55:44)
 * @return java.lang.String
 */
public String getMatrix(int i, int j) 
{
	return matrixField[i][j].getText();
}
/**
 * Insert the method's description here.
 * Creation date: (11.12.2002 10:58:11)
 * @return java.lang.String
 * @param i int
 */
public String getVector(int i) 
{
	return vectorField[i].getText();
}
}
